Update a subscription
PUT
https://sand-api.monoova.com/au/core/notification-v1/Subscription/{subscriptionId}
subscriptionIdstring<p><strong>Required.</strong> Monoova generated Guid that uniquely identifies the subscription. Returned in the <code>subscriptionId</code> field of the response to <code>POST /Subscription</code>, and listed by <code>GET /Subscription</code>. Accepted with or without enclosing braces.</p>
acceptstringGenerated from available response content types
bodyobject<p><strong>Required.</strong> Subscription definition. All fields are pre-filled with valid example values; replace them with your own before sending.</p>
200OK
400Bad Request
401Unauthorized
403Forbidden
404Not Found
500Internal Server Error
curl --request PUT \
--url https://sand-api.monoova.com/au/core/notification-v1/Subscription/{subscriptionId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"subscriptionName": "Payments-Prod-Webhook",
"eventName": "PaymentInstructionNotification",
"webHookDetail": {
"callBackUrl": "https://api.yourcompany.com/monoova/webhooks",
"securityToken": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9"
},
"isActive": true
}'